Bug 34161 - Can't stop tomcat if an application doesn't run
Can't stop tomcat if an application doesn't run
Status: RESOLVED FIXED
Product: Tomcat 5
Classification: Unclassified
Component: Catalina
5.5.7
PC Linux
: P2 minor (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2005-03-24 13:50 UTC by Marc Guillemot
Modified: 2005-10-02 01:34 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Guillemot 2005-03-24 13:50:41 UTC
If an application doesn't run (stopped through the manager or failed to start
due to some application specific problem), tomcat fails to stop and the process
must be killed.

 ERROR main org.apache.catalina.startup.Catalina - Catalina.stop
 LifecycleException:  Container
org.apache.catalina.core.ContainerBase.[Catalina].[localhost].[/test] has not
been started
        at org.apache.catalina.core.StandardContext.stop(StandardContext.java:4231)
        at org.apache.catalina.core.ContainerBase.stop(ContainerBase.java:1063)
        at org.apache.catalina.core.ContainerBase.stop(ContainerBase.java:1063)
        at org.apache.catalina.core.StandardEngine.stop(StandardEngine.java:445)
        at org.apache.catalina.core.StandardService.stop(StandardService.java:512)
        at org.apache.catalina.core.StandardServer.stop(StandardServer.java:717)
        at org.apache.catalina.startup.Catalina.stop(Catalina.java:586)
        at org.apache.catalina.startup.Catalina.start(Catalina.java:561)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
        at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
        at java.lang.reflect.Method.invoke(Method.java:585)
        at org.apache.catalina.startup.Bootstrap.start(Bootstrap.java:271)
        at org.apache.catalina.startup.Bootstrap.main(Bootstrap.java:409)
Comment 1 Remy Maucherat 2005-03-25 17:48:25 UTC
This is now fixed.
Comment 2 santiago 2005-10-02 09:34:25 UTC
(In reply to comment #1)
> This is now fixed.

Hi, I'm using Apache Tomcat/5.0.28 and have this exact same issue. Could you 
please let me know what the fix is?

Thanks,

Santiago